GASP(1)

NAME
gasp - The GNU Assembler Macro Preprocessor

SYNOPSIS
gasp [-adhMpsuv] [-c char] [-o outfile] [-Dname=value] [-Ipath] [infile]

DESCRIPTION
gasp is the GNU Assembler Macro Preprocessor. The argument infile is processed and the resulting text is sent to the standard output.

The options are as follows:

-a  Enter enter alternate macro mode. Also specifiable as [--alternate]

-c char
    Change the comment character from `!' Also specifiable as [--commentchar char]

-d  Print limited debugging information. Also specifiable as [--debug]

-h  Print the help message. Also specifiable as [--help]

-M  Enter MRI compatibility mode Also specifiable as [--mri]

-o outfile
    Specify the output file. Also specifiable as [--output outfile]

-p  Print line numbers. Also specifiable as [--print]

-s  Copy source through as comments. Also specifiable as [--copysource]

-u  Allow unreasonable nesting. Also specifiable as [--unreasonable]

-v  Print the program version and exit. Also specifiable as [--version]

-Dname=value
    Define the preprocessor symbol name to have the value specified by "value".

-Ipath
    Add path to the include path list.

SEE ALSO
cpp(1), m4(1) The gasp GNU hypertext system info pages.

HISTORY
The gasp command is part of the GNU Binutils package.

AUTHORS
This man page was written by David E. O'Brien.